Targus Posts v.5.1 for Mojave 10.14 – Targus US

Targus Posts v.5.1 for Mojave 10.14

- Posted in: Tech Talk
Targus Posts v.5.1 for Mojave 10.14

Targus has posted the latest release 5.1 for all DisplayLink-based Targus Universal Docking Stations connecting to MacBooks with macOS Mojave (version 10.14) installed. The software is available here
Full release notes are available

Important Notes

A change in DL-69xx firmware distributed with DisplayLink software released after November 15, 2018 will prevent previous DisplayLink macOS software releases from operating with this firmware version. 

Therefore, it is recommended that all MacBooks in a hoteling or hot desking environment be updated to this version so that different MacBooks can be used on the same dock.  Any DL-69xx product which has been connected to a client device running DisplayLink software released after November 15, 2018, and then connected to macOS will require DisplayLink macOS driver version 5.1 or newer for correct operation. This includes Targus Universal Docking Stations models DOCK1XX and DOCK5XX.

10.13.X “High Sierra” Is Not Supported By This Version

OS X versions earlier than 10.14.0 are not supported. Version 4.3.1 was the last version to support macOS High Sierra 10.13.x. Users of 10.13.4-10.13.6 should use v4.3.1 as it contains a workaround to enable one extended USB display.

See the DisplayLink FAQ for additional information.